#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n,k,j=0;
    cin >> n >> k;
    vector<int> v(n*2+1,0);
    for(int i=0;i<n;i++){
        int h;
        cin>> h;
        v[h+n]++;
        if(v[h+n]==k){
            j++;
        }

    }
    cout << j << endl;
    for(int i=0;i<2*n+1;i++){
        if(v[i]>=k)
            cout << i-n << " ";
    }
    cout << endl;
    return 0;
}